Getting Ready for EST - Meeting #340

PRE-EST Rome promotional event
2017-07-27 12:54 - GREST EST

Status: Closed Start date:
Priority: Normal Due date:

2nd assignee:

2017-10-05
2017-10-06

Description

History

#1 - 2017-07-27 12:56 - GREST EST

- Subject changed from PRE-EST promotional event in Rome to PRE-EST Rome promotional event

#2 - 2017-07-27 13:16 - GREST EST

- Status changed from New to Scheduled

#3 - 2017-10-24 10:17 - GREST EST
- Status changed from Scheduled to Finished

#4 - 2017-10-24 10:18 - GREST EST

- Status changed from Finished to Closed
